> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pearcheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run business verification

> Endpoint used to run business verification



## OpenAPI

````yaml POST /api/v1/verify/run_business_verification/
openapi: 3.0.3
info:
  title: Pearcheck API Documentation
  version: 1.0.0
  description: This is the official documentation for the Pearcheck backend
servers:
  - url: https://api.pearcheck.com
  - url: https://api-sandbox.pearcheck.com
security: []
paths:
  /api/v1/verify/run_business_verification/:
    post:
      tags:
        - api
      operationId: api_v1_verify_run_business_verification_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KYBData'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/KYBData'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/KYBData'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessVerificationResponse'
          description: Successful Operation
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request or Internal Error
      security:
        - ApiKeyAuth: []
        - {}
components:
  schemas:
    KYBData:
      type: object
      properties:
        verification_type:
          $ref: '#/components/schemas/KYBDataVerificationTypeEnum'
        name:
          type: string
        business_entity_id:
          type: string
        alternate_name:
          type: string
        tax_identification_number:
          type: string
        website:
          type: string
        formation_date:
          type: string
        country_code:
          type: string
          maxLength: 2
          minLength: 2
          example: UG
        state_code:
          type: string
        file_name:
          type: string
        file_type:
          type: string
        file_blob:
          type: string
      required:
        - business_entity_id
        - formation_date
        - name
        - verification_type
    BusinessVerificationResponse:
      type: object
      properties:
        provider:
          type: string
        batch_id:
          type: string
          format: uuid
        status:
          type: string
          example: In-progress
        type:
          type: string
          example: Single
        verification_type:
          type: string
          example: Business Verification
        verification_result:
          type: string
          example: UNKNOWN
        id_type:
          type: string
          nullable: true
          example: null
        created_at:
          type: string
          format: date-time
        business_info:
          type: object
          additionalProperties: true
        aml_info:
          type: object
          additionalProperties: true
        lookup_info:
          type: object
          additionalProperties: true
        registration_info:
          type: object
          additionalProperties: true
        related_persons:
          type: object
          additionalProperties: true
        additional_info:
          type: object
          additionalProperties: true
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      required:
        - error
    KYBDataVerificationTypeEnum:
      enum:
        - BUSINESS
        - DOC
      type: string
      description: |-
        * `BUSINESS` - Business Verification
        * `DOC` - Document Verification
    ErrorDetail:
      type: object
      properties:
        summary:
          type: string
        fields:
          type: object
          additionalProperties:
            type: string
      required:
        - summary
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````